summaryrefslogtreecommitdiff
path: root/dev-vcs/subversion-java
diff options
context:
space:
mode:
Diffstat (limited to 'dev-vcs/subversion-java')
-rw-r--r--dev-vcs/subversion-java/Manifest3
-rw-r--r--dev-vcs/subversion-java/metadata.xml8
-rw-r--r--dev-vcs/subversion-java/subversion-java-1.8.10.ebuild149
-rw-r--r--dev-vcs/subversion-java/subversion-java-1.8.11.ebuild150
4 files changed, 310 insertions, 0 deletions
diff --git a/dev-vcs/subversion-java/Manifest b/dev-vcs/subversion-java/Manifest
new file mode 100644
index 00000000..2d004a41
--- /dev/null
+++ b/dev-vcs/subversion-java/Manifest
@@ -0,0 +1,3 @@
+DIST subversion-1.8.10.tar.bz2 6899384 SHA256 1cc900c8a7974337c3ed389dc6b5c59012ec48c7d4107ae31fd7c929ded47dcc SHA512 a03e618ee700132a1668668519cccc34dbd46777acfbaa9c3f1769d53a1ee4499a10c53c9b212d27e17b259e19d071b672f247cfcc6502e10122a852ae1b6bd0 WHIRLPOOL bff8ce6509263a6de6a19d135c96f50f4bba24c539a3d0a7300b547c8a264ddd6d3ba38b78680a9dceb171306819ca2835f00d1cf4afa7a9001ae104567c4022
+DIST subversion-1.8.11.tar.bz2 6896225 SHA256 10b056420e1f194c12840368f6bf58842e6200f9cb8cc5ebbf9be2e89e56e4d9 SHA512 86c4ff71a0f448895f26cb1674d1e7230ceacfa5cb2a0ccf28589b8c7f30ff65d2bb6b2c201b95ce53b7b877de98e1a69bf291a8cea4e4005afbbb1d0a62aae1 WHIRLPOOL 08c782e2f578a613e5c380922c05230b3ed0114b28f0dbd6a976089db5f563b160641158682e1d53481b06a961a401e26114452517e51e16a0fc12c0c88b3247
+DIST subversion-1.8.9-Gentoo-patches.tar.gz 3179 SHA256 95847de918a22c51120ead7695034b587a4654c78d1ac18c26f1be891ffe8ffa SHA512 4f4ad2b900b25c3dfe72a0a41097402e0f96d6c12ab410c595262d586be37c7284a1b38b013aaf20bbed301704b2676b4f6e80544039b1ef47071049704131b8 WHIRLPOOL be5d33bd34bfea2a6f4b1e002522bb51407042e2ea5c8bf0beb2c8185238df4567eceeda993fd6b13b3022499e338da66483c044e5480f3f455b0cc12d705aad
diff --git a/dev-vcs/subversion-java/metadata.xml b/dev-vcs/subversion-java/metadata.xml
new file mode 100644
index 00000000..76865e8f
--- /dev/null
+++ b/dev-vcs/subversion-java/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>slawomir.nizio@sabayon.org</email>
+ <description>Maintainer for split subversion-java ebuild.</description>
+ </maintainer>
+</pkgmetadata>
diff --git a/dev-vcs/subversion-java/subversion-java-1.8.10.ebuild b/dev-vcs/subversion-java/subversion-java-1.8.10.ebuild
new file mode 100644
index 00000000..1b8b1b30
--- /dev/null
+++ b/dev-vcs/subversion-java/subversion-java-1.8.10.ebuild
@@ -0,0 +1,149 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+WANT_AUTOMAKE="none"
+MY_P="${P/_/-}"
+
+MY_SVN_PN="subversion"
+MY_SVN_P="${MY_SVN_PN}-${PV}"
+MY_SVN_PF="${MY_SVN_PN}-${PVR}"
+MY_SVN_CATEGORY="${CATEGORY}"
+
+# note: java-pkg-2, not java-pkt-opt-2
+SAB_PATCHES_SRC=( mirror://sabayon/dev-vcs/${MY_SVN_PN}-1.8.9-Gentoo-patches.tar.gz )
+inherit sab-patches autotools eutils flag-o-matic java-pkg-2 libtool multilib
+
+DESCRIPTION="Java bindings for Subversion"
+HOMEPAGE="http://subversion.apache.org/"
+SRC_URI+=" mirror://apache/${PN}/${MY_SVN_P}.tar.bz2"
+S="${WORKDIR}/${MY_SVN_P/_/-}"
+
+LICENSE="Subversion"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+
+IUSE="debug doc nls"
+
+COMMON_DEPEND="~dev-vcs/subversion-${PV}
+ >=dev-libs/apr-1.3:1
+ >=dev-libs/apr-util-1.3:1"
+RDEPEND="
+ ${COMMON_DEPEND}
+ app-arch/bzip2
+ >=virtual/jre-1.5"
+DEPEND="${COMMON_DEPEND}
+ >=virtual/jdk-1.5"
+
+pkg_setup() {
+ java-pkg-2_pkg_setup
+
+ if use debug ; then
+ append-cppflags -DSVN_DEBUG -DAP_DEBUG
+ fi
+ # http://mail-archives.apache.org/mod_mbox/subversion-dev/201306.mbox/%3C51C42014.3060700@wandisco.com%3E
+ [[ ${CHOST} == *-solaris2* ]] && append-cppflags -D__EXTENSIONS__
+}
+
+src_prepare() {
+ sab-patches_apply_all
+ epatch_user
+
+ fperms +x build/transform_libtool_scripts.sh
+
+ sed -i \
+ -e "s/\(BUILD_RULES=.*\) bdb-test\(.*\)/\1\2/g" \
+ -e "s/\(BUILD_RULES=.*\) test\(.*\)/\1\2/g" configure.ac
+
+ # this bites us in particular on Solaris
+ sed -i -e '1c\#!/usr/bin/env sh' build/transform_libtool_scripts.sh || \
+ die "/bin/sh is not POSIX shell!"
+
+ eautoconf
+ elibtoolize
+
+ sed -e 's/\(libsvn_swig_py\)-\(1\.la\)/\1-$(EPYTHON)-\2/g' \
+ -i build-outputs.mk || die "sed failed"
+}
+
+src_configure() {
+ local myconf
+
+ myconf+=" --without-swig"
+ myconf+=" --without-junit"
+
+ case ${CHOST} in
+ *-aix*)
+ # avoid recording immediate path to sharedlibs into executables
+ append-ldflags -Wl,-bnoipath
+ ;;
+ *-interix*)
+ # loader crashes on the LD_PRELOADs...
+ myconf+=" --disable-local-library-preloading"
+ ;;
+ *-solaris*)
+ # need -lintl to link
+ use nls && append-libs intl
+ # this breaks installation, on x64 echo replacement is 32-bits
+ myconf+=" --disable-local-library-preloading"
+ ;;
+ *-mint*)
+ myconf+=" --enable-all-static --disable-local-library-preloading"
+ ;;
+ *)
+ # inject LD_PRELOAD entries for easy in-tree development
+ myconf+=" --enable-local-library-preloading"
+ ;;
+ esac
+
+ #version 1.7.7 again tries to link against the older installed version and fails, when trying to
+ #compile for x86 on amd64, so workaround this issue again
+ #check newer versions, if this is still/again needed
+ myconf+=" --disable-disallowing-of-undefined-references"
+
+ econf --libdir="${EPREFIX}/usr/$(get_libdir)" \
+ --without-apache-libexecdir \
+ --without-apxs \
+ --without-berkeley-db \
+ --without-ctypesgen \
+ --disable-runtime-module-search \
+ --without-gnome-keyring \
+ --enable-javahl \
+ --with-jdk="${JAVA_HOME}" \
+ --without-kwallet \
+ $(use_enable nls) \
+ --without-sasl \
+ --without-serf \
+ ${myconf} \
+ --with-apr="${EPREFIX}/usr/bin/apr-1-config" \
+ --with-apr-util="${EPREFIX}/usr/bin/apu-1-config" \
+ --disable-experimental-libtool \
+ --without-jikes \
+ --disable-mod-activation \
+ --disable-static
+}
+
+src_compile() {
+ emake -j1 JAVAC_FLAGS="$(java-pkg_javac-args) -encoding iso8859-1" javahl
+
+ if use doc ; then
+ emake doc-javahl
+ fi
+}
+
+src_install() {
+ emake DESTDIR="${D}" install-javahl
+ java-pkg_regso "${ED}"usr/$(get_libdir)/libsvnjavahl*$(get_libname)
+ java-pkg_jarinto /usr/share/"${MY_SVN_PN}"/lib
+ java-pkg_dojar "${ED}"usr/$(get_libdir)/svn-javahl/svn-javahl.jar
+ rm -fr "${ED}"usr/$(get_libdir)/svn-javahl/*.jar
+
+ mv "${ED}usr/share/${PN}/package.env" "${ED}/usr/share/${MY_SVN_PN}/" || die
+
+ if use doc ; then
+ java-pkg_dojavadoc doc/javadoc
+ fi
+
+ prune_libtool_files --all
+}
diff --git a/dev-vcs/subversion-java/subversion-java-1.8.11.ebuild b/dev-vcs/subversion-java/subversion-java-1.8.11.ebuild
new file mode 100644
index 00000000..811f2a70
--- /dev/null
+++ b/dev-vcs/subversion-java/subversion-java-1.8.11.ebuild
@@ -0,0 +1,150 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+WANT_AUTOMAKE="none"
+MY_P="${P/_/-}"
+
+MY_SVN_PN="subversion"
+MY_SVN_P="${MY_SVN_PN}-${PV}"
+MY_SVN_PF="${MY_SVN_PN}-${PVR}"
+MY_SVN_CATEGORY="${CATEGORY}"
+
+# note: java-pkg-2, not java-pkt-opt-2
+SAB_PATCHES_SRC=( mirror://sabayon/dev-vcs/${MY_SVN_PN}-1.8.9-Gentoo-patches.tar.gz )
+inherit sab-patches autotools eutils flag-o-matic java-pkg-2 libtool multilib
+
+DESCRIPTION="Java bindings for Subversion"
+HOMEPAGE="http://subversion.apache.org/"
+SRC_URI+=" mirror://apache/${PN}/${MY_SVN_P}.tar.bz2"
+S="${WORKDIR}/${MY_SVN_P/_/-}"
+
+LICENSE="Subversion"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+
+IUSE="debug doc nls"
+
+COMMON_DEPEND="~dev-vcs/subversion-${PV}
+ >=dev-libs/apr-1.3:1
+ >=dev-libs/apr-util-1.3:1"
+RDEPEND="
+ ${COMMON_DEPEND}
+ app-arch/bzip2
+ >=virtual/jre-1.5"
+DEPEND="${COMMON_DEPEND}
+ >=virtual/jdk-1.5"
+
+pkg_setup() {
+ java-pkg-2_pkg_setup
+
+ if use debug ; then
+ append-cppflags -DSVN_DEBUG -DAP_DEBUG
+ fi
+ # http://mail-archives.apache.org/mod_mbox/subversion-dev/201306.mbox/%3C51C42014.3060700@wandisco.com%3E
+ [[ ${CHOST} == *-solaris2* ]] && append-cppflags -D__EXTENSIONS__
+}
+
+src_prepare() {
+ local SAB_PATCHES_SKIP=( subversion-1.8.9-po_fixes.patch )
+ sab-patches_apply_all
+ epatch_user
+
+ fperms +x build/transform_libtool_scripts.sh
+
+ sed -i \
+ -e "s/\(BUILD_RULES=.*\) bdb-test\(.*\)/\1\2/g" \
+ -e "s/\(BUILD_RULES=.*\) test\(.*\)/\1\2/g" configure.ac
+
+ # this bites us in particular on Solaris
+ sed -i -e '1c\#!/usr/bin/env sh' build/transform_libtool_scripts.sh || \
+ die "/bin/sh is not POSIX shell!"
+
+ eautoconf
+ elibtoolize
+
+ sed -e 's/\(libsvn_swig_py\)-\(1\.la\)/\1-$(EPYTHON)-\2/g' \
+ -i build-outputs.mk || die "sed failed"
+}
+
+src_configure() {
+ local myconf
+
+ myconf+=" --without-swig"
+ myconf+=" --without-junit"
+
+ case ${CHOST} in
+ *-aix*)
+ # avoid recording immediate path to sharedlibs into executables
+ append-ldflags -Wl,-bnoipath
+ ;;
+ *-interix*)
+ # loader crashes on the LD_PRELOADs...
+ myconf+=" --disable-local-library-preloading"
+ ;;
+ *-solaris*)
+ # need -lintl to link
+ use nls && append-libs intl
+ # this breaks installation, on x64 echo replacement is 32-bits
+ myconf+=" --disable-local-library-preloading"
+ ;;
+ *-mint*)
+ myconf+=" --enable-all-static --disable-local-library-preloading"
+ ;;
+ *)
+ # inject LD_PRELOAD entries for easy in-tree development
+ myconf+=" --enable-local-library-preloading"
+ ;;
+ esac
+
+ #version 1.7.7 again tries to link against the older installed version and fails, when trying to
+ #compile for x86 on amd64, so workaround this issue again
+ #check newer versions, if this is still/again needed
+ myconf+=" --disable-disallowing-of-undefined-references"
+
+ econf --libdir="${EPREFIX}/usr/$(get_libdir)" \
+ --without-apache-libexecdir \
+ --without-apxs \
+ --without-berkeley-db \
+ --without-ctypesgen \
+ --disable-runtime-module-search \
+ --without-gnome-keyring \
+ --enable-javahl \
+ --with-jdk="${JAVA_HOME}" \
+ --without-kwallet \
+ $(use_enable nls) \
+ --without-sasl \
+ --without-serf \
+ ${myconf} \
+ --with-apr="${EPREFIX}/usr/bin/apr-1-config" \
+ --with-apr-util="${EPREFIX}/usr/bin/apu-1-config" \
+ --disable-experimental-libtool \
+ --without-jikes \
+ --disable-mod-activation \
+ --disable-static
+}
+
+src_compile() {
+ emake -j1 JAVAC_FLAGS="$(java-pkg_javac-args) -encoding iso8859-1" javahl
+
+ if use doc ; then
+ emake doc-javahl
+ fi
+}
+
+src_install() {
+ emake DESTDIR="${D}" install-javahl
+ java-pkg_regso "${ED}"usr/$(get_libdir)/libsvnjavahl*$(get_libname)
+ java-pkg_jarinto /usr/share/"${MY_SVN_PN}"/lib
+ java-pkg_dojar "${ED}"usr/$(get_libdir)/svn-javahl/svn-javahl.jar
+ rm -fr "${ED}"usr/$(get_libdir)/svn-javahl/*.jar
+
+ mv "${ED}usr/share/${PN}/package.env" "${ED}/usr/share/${MY_SVN_PN}/" || die
+
+ if use doc ; then
+ java-pkg_dojavadoc doc/javadoc
+ fi
+
+ prune_libtool_files --all
+}